{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">
                    <a id="id_breadcrumb" href="{% url 'profile:admin_paket' %}">Paket Wisata</a></li>
                <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
            </ol>
        </nav>
        {% if messages %}
            {% for message in messages %}
                <div class="alert {{ message.tags }} my-2" role="alert">
                    {{message}}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>  
            {% endfor %}
        {% endif %}
        
        <div class="card shadow mb-5">
            <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Paket Wisata</h5>
            <div class="card-body">
                {% if edit %}
                    {% if paket %}
                        {% include 'profile/admin/paket/form.html' %}
                    {% else %}
                        <h1>DOKUMEN TIDAK DITEMUKAN</h1>
                    {% endif %}
                {% else %}
                    {% include 'profile/admin/paket/form.html' %}
                {% endif %}
            </div>
        </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
    <script type="text/javascript">
        $(document).ready(function() {

            if ($("#is_edit").val() == 'true'){
                var paporit = $("#id_is_favorit").attr('data-value');
                var statusx = $("#id_status").attr('data-value');
                
                if($("#idr_checkbox").val() == 'True'){
                    $("#idr_checkbox").attr('checked',true);
                } else {
                    $("#idr_checkbox").attr('checked',false);
                }

                $("#id_is_favorit").val(paporit);
                $("#id_status").val(statusx);
            } else {
                $("#idr_checkbox").attr('checked',true);
            }
            getCeked();
        });

        function getCeked(){
            var ceked = $("#idr_checkbox").is(":checked");

            if(ceked){
                $("#idr_checkbox").val('True');
            } else {
                $("#idr_checkbox").val('');
            }
        }

        function Pilih_Paket(e){
            var jenis = $(e).val();
            var uerel = $("#id_breadcrumb").attr("href");

            $.ajax({
                headers: { "X-CSRFToken": "{{csrf_token}}" },
                type: "POST",
                url: uerel,
                data: {'jns':jenis},
                success: function (hasil) {
                    $("#id_kode_paket").val(jenis.toUpperCase()+" "+hasil['hasil'])
                }
            });
        };

    </script>
{% endblock scripts_bawah %}